import { useMapEvent } from "react-leaflet"
import { SetState } from "../utils/types"
import { LatLng } from "leaflet"

function ClickHandler({ setPosition }: { setPosition: SetState<LatLng> }) {
    const map = useMapEvent('click', (e) => {
        setPosition(e.latlng)
        map.setView(e.latlng)
    })

    return null
}

export default ClickHandler
