import { Announcement } from "../hooks/api/useHomeAnnouncementList"

const filterNames = ["userId", "category", "metro", "bookedBy"] as const
type FilterNames = typeof filterNames[number]

type FiltersType = Partial<Pick<Announcement, FilterNames>>

const defaultFilters: FiltersType = { userId: undefined, category: undefined, metro: undefined, bookedBy: undefined }

export type { FilterNames, FiltersType }
export { defaultFilters, filterNames }
